%define name perl-Locale-gettext
%define real_name gettext
%define version 1.01
%define release 14mdk

%define group %(perl -e 'printf "%%s\\n", "%_vendor" =~ /mandrake/i ? "Development/Perl" : "Applications/CPAN"')

%{expand:%%define compat_makeinstall_std %(perl -e 'printf "%%s\n", "%{?makeinstall_std:1}" ? "%%makeinstall_std" : "%%{__make} install PREFIX=%%{buildroot}%%{_prefix}"')}
%{expand:%%define compat_perl_vendorarch %(perl -MConfig -e 'printf "%%s\n", "%{?perl_vendorarch:1}" ? "%%{perl_vendorarch}" : "$Config{installvendorarch}"')}
%{expand:%%define buildreq_perl_devel %%(perl -e 'printf "%%s\\n", "%_vendor" =~ /mandrake/i ? "gettext-devel perl-devel" : "perl"')}
%{expand:%%define real_release %%(perl -e 'printf "%%s\\n", ("%_vendor" !~ /mandrake/i && ("%release" =~ /(.*?)mdk/)[0] || "%release")')}

Name: %{name}
Version: %{version}
Release: %{real_release}
Group: %{group}
License: GPL or Artistic
URL: http://www.cpan.org/modules/by-module/Locale
Source: http://www.cpan.org/modules/by-module/Locale/%{real_name}-%{version}.tar.gz
Patch0: gettext-1.01-fix-example-in-README.patch.bz2
Patch1: gettext-1.01-includes.patch.bz2
Patch2: gettext-1.01-add-iconv.patch.bz2
Summary: Internationalization for Perl.
BuildRequires: %{buildreq_perl_devel}
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: perl-gettext
Conflicts: nlpr <= 0.0.1-2mdk, drakfloppy <= 0.43-10mdk, urpmi <= 3.6-4mdk

%description
The gettext module permits access from perl to the gettext() family of
functions for retrieving message strings from databases constructed to
internationalize software. 

It provides gettext(), dgettext(), dcgettext(), textdomain() and
bindtextdomain().

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p1
%patch1 -p1 -b .includes
%patch2 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{compat_makeinstall_std}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{compat_perl_vendorarch}/Locale/*
%{compat_perl_vendorarch}/auto/Locale/*
%{_mandir}/*/*

%changelog
* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.01-14mdk
- Rebuild for new perl

* Fri Apr 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-13mdk
- relink against fixed libintl

* Tue Apr 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-12mdk
- rebuild for new gettext

* Tue Feb  3 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-11mdk
- in my "add iconv" patch, tag the SV* as UTF8 when output charset is
  UTF8, to fix #7156 with some modifications in urpmi too

* Tue Dec  9 2003 Franois Pons <fpons@mandrakesoft.com> 1.01-10mdk
- added compability with RH 7.3.

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.01-9mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Mon May 12 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-8mdk
- rebuild for new perl provides/requires

* Tue Mar  4 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-7mdk
- add iconv (patch #2) in order to be able to fix #2608 and #2680 from
  within urpmi

* Mon Aug 19 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.01-6mdk
- Patch1: Add missing includes. Aka make urpmi work with locales on x86-64

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.01-5mdk
- rebuild for perl thread-multi

* Wed Jul 24 2002 Pixel <pixel@mandrakesoft.com> 1.01-4mdk
- add "Obsoletes: perl-gettext" even it is not true
- but add "Conflicts: nlpr <= 0.0.1-2mdk, drakfloppy <= 0.43-10mdk, urpmi <= 3.6-4mdk"
  to ensure the packages that used perl-gettext gets upgraded

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.01-3mdk
- rebuild for perl 5.8.0

* Tue Jul  2 2002 Pixel <pixel@mandrakesoft.com> 1.01-2mdk
- perl-gettext will be removed as soon as every program has switched to perl-Locale-gettext
- reworked the spec (didn't see that it was already packaged)
- include debian's patch on README

* Fri Mar  8 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.01-1mdk
- First MandrakeSoft Package
